@charset "UTF-8";

main {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  background-color: #fff;
  font-family: "Google Sans Flex", sans-serif;
}

.h1-border {
  margin-top: 20px;
  margin-left: auto;
  margin-right: auto;
  width: 80%;
  border-bottom: 1px solid #f39f89;
}

.h1-border h1::first-letter {
  font-size: 150%;
}

h1 {
  width: 80%;
  margin-top: 40px;
  margin-bottom: 50px;
  font-family: "Zen Maru Gothic", sans-serif;
}

h1::first-letter {
  font-size: 150%;
}

/* 商品リスト */

.shopping_list {
  margin: 30px auto 30px auto;
}
.cart_list {
  width: 80%;
  margin: 0 auto;
}

.cart-item {
  border-bottom: 5px dotted #ffd0cc;
  padding-top: 20px;
  padding-bottom: 20px;
  display: flex;
  align-items: center;
}

.cart-item img {
  width: 25%;
  margin-right: 5%;
}
.cart-item h3 {
  width: 30%;
}
.cart-item p {
  width: 20%;
  text-align: end;
  padding-right: 10px;
}

.cart-item button {
  width: 50px;
  background-color: #fff;
  border-radius: 10px;
  border: 1px solid #f39f89;
}

form {
  width: 80%;
  height: 150px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: space-between;
  border-bottom: 1px solid #f39f89;
}

.gift-namae {
  width: 100%;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  line-height: 1.9;
}

.nasi span {
  font-size: 1.2rem;
}

.gift-namae img {
  width: 110px;
  border-radius: 10px;
}

.goukei {
  width: 80%;
  height: 100px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.souryou-ca-to {
  width: 180px;
  height: 70px;
  margin-left: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 1.5rem;
  line-height: 1.5;
}

.goukei-migi {
  display: flex;
  align-items: flex-end;
}

.remove {
  width: 90px;
  background-color: #fff;
  border-radius: 10px;
  border: 1px solid #f39f89;
}
.price-all,
.quantity-all {
  width: 150px;
  text-align: right;
  padding: 5px;
}

.botan {
  width: 400px;
  height: 80px;
  margin: 10px auto 50px auto;
  display: flex;
  text-align: center;
  justify-content: space-between;
  align-items: center;
}

.kadomaru {
  background-color: #ffd0cc;
  display: inline-block;
  min-width: 180px;
  font-size: 1.2rem;
  line-height: 48px;
  border-radius: 24px;
  /* border: 1px solid #f39f89; */
}

.kadomaru:hover {
  background-color: #f39f89;
}

@media (max-width: 600px) {
  /* 600pxより小さい場合のスタイル指定 */
  body {
    font-size: 0.6rem;
  }
  .cart_list button {
    font-size: 0.5rem;
  }
  .list ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
    margin: 0 auto 5% auto;
  }
  .product {
    width: 80%;
    margin: 0 auto;
  }
  .item {
    padding: 8%;
    border-bottom: 1px dotted #ff7474c0;
  }
  .remove {
    width: 30%;
    margin-left: 60%;
  }
}
